
	module dp_reduce_maxmin

	use DP_INTERNAL

	implicit none

	private



!   These are the public routines



		public dp_maxval_1D_R 
		public dp_minval_1D_R 
		public dp_maxloc_1D_R 
		public dp_minloc_1D_R 
		public dp_maxval_2D_R 
		public dp_minval_2D_R 
		public dp_maxloc_2D_R 
		public dp_minloc_2D_R 
		public dp_maxval_3D_R 
		public dp_minval_3D_R 
		public dp_maxloc_3D_R 
		public dp_minloc_3D_R 
		public dp_maxval_4D_R 
		public dp_minval_4D_R 
		public dp_maxloc_4D_R 
		public dp_minloc_4D_R 

#if 0
		public dp_maxval_1D_R4 
		public dp_minval_1D_R4 
		public dp_maxloc_1D_R4 
		public dp_minloc_1D_R4 
		public dp_maxval_2D_R4 
		public dp_minval_2D_R4 
		public dp_maxloc_2D_R4 
		public dp_minloc_2D_R4 
		public dp_maxval_3D_R4 
		public dp_minval_3D_R4 
		public dp_maxloc_3D_R4 
		public dp_minloc_3D_R4 
		public dp_maxval_4D_R4 
		public dp_minval_4D_R4 
		public dp_maxloc_4D_R4 
		public dp_minloc_4D_R4 
		public dp_maxval_1D_R8 
		public dp_minval_1D_R8 
		public dp_maxloc_1D_R8 
		public dp_minloc_1D_R8 
		public dp_maxval_2D_R8 
		public dp_minval_2D_R8 
		public dp_maxloc_2D_R8 
		public dp_minloc_2D_R8 
		public dp_maxval_3D_R8 
		public dp_minval_3D_R8 
		public dp_maxloc_3D_R8 
		public dp_minloc_3D_R8 
		public dp_maxval_4D_R8 
		public dp_minval_4D_R8 
		public dp_maxloc_4D_R8 
		public dp_minloc_4D_R8 
		public dp_maxval_1D_R16 
		public dp_minval_1D_R16 
		public dp_maxloc_1D_R16 
		public dp_minloc_1D_R16 
		public dp_maxval_2D_R16 
		public dp_minval_2D_R16 
		public dp_maxloc_2D_R16 
		public dp_minloc_2D_R16 
		public dp_maxval_3D_R16 
		public dp_minval_3D_R16 
		public dp_maxloc_3D_R16 
		public dp_minloc_3D_R16 
		public dp_maxval_4D_R16 
		public dp_minval_4D_R16 
		public dp_maxloc_4D_R16 
		public dp_minloc_4D_R16 
#endif


		public dp_maxval_1D_D 
		public dp_minval_1D_D 
		public dp_maxloc_1D_D 
		public dp_minloc_1D_D 
		public dp_maxval_2D_D 
		public dp_minval_2D_D 
		public dp_maxloc_2D_D 
		public dp_minloc_2D_D 
		public dp_maxval_3D_D 
		public dp_minval_3D_D 
		public dp_maxloc_3D_D 
		public dp_minloc_3D_D 
		public dp_maxval_4D_D 
		public dp_minval_4D_D 
		public dp_maxloc_4D_D 
		public dp_minloc_4D_D 
		public dp_maxval_1D_I 
		public dp_minval_1D_I 
		public dp_maxloc_1D_I 
		public dp_minloc_1D_I 
		public dp_maxval_2D_I 
		public dp_minval_2D_I 
		public dp_maxloc_2D_I 
		public dp_minloc_2D_I 
		public dp_maxval_3D_I 
		public dp_minval_3D_I 
		public dp_maxloc_3D_I 
		public dp_minloc_3D_I 
		public dp_maxval_4D_I 
		public dp_minval_4D_I 
		public dp_maxloc_4D_I 
		public dp_minloc_4D_I 

#if 0
		public dp_maxval_1D_I1 
		public dp_minval_1D_I1 
		public dp_maxloc_1D_I1 
		public dp_minloc_1D_I1 
		public dp_maxval_2D_I1 
		public dp_minval_2D_I1 
		public dp_maxloc_2D_I1 
		public dp_minloc_2D_I1 
		public dp_maxval_3D_I1 
		public dp_minval_3D_I1 
		public dp_maxloc_3D_I1 
		public dp_minloc_3D_I1 
		public dp_maxval_4D_I1 
		public dp_minval_4D_I1 
		public dp_maxloc_4D_I1 
		public dp_minloc_4D_I1 
		public dp_maxval_1D_I2 
		public dp_minval_1D_I2 
		public dp_maxloc_1D_I2 
		public dp_minloc_1D_I2 
		public dp_maxval_2D_I2 
		public dp_minval_2D_I2 
		public dp_maxloc_2D_I2 
		public dp_minloc_2D_I2 
		public dp_maxval_3D_I2 
		public dp_minval_3D_I2 
		public dp_maxloc_3D_I2 
		public dp_minloc_3D_I2 
		public dp_maxval_4D_I2 
		public dp_minval_4D_I2 
		public dp_maxloc_4D_I2 
		public dp_minloc_4D_I2 
		public dp_maxval_1D_I4 
		public dp_minval_1D_I4 
		public dp_maxloc_1D_I4 
		public dp_minloc_1D_I4 
		public dp_maxval_2D_I4 
		public dp_minval_2D_I4 
		public dp_maxloc_2D_I4 
		public dp_minloc_2D_I4 
		public dp_maxval_3D_I4 
		public dp_minval_3D_I4 
		public dp_maxloc_3D_I4 
		public dp_minloc_3D_I4 
		public dp_maxval_4D_I4 
		public dp_minval_4D_I4 
		public dp_maxloc_4D_I4 
		public dp_minloc_4D_I4 
#endif



CONTAINS

include 'dp_reduce_maxmin.h'


	end module dp_reduce_maxmin

