
SUBROUTINE DP_TIMES (local_proc, total_proc, elapsed)
real local_proc		! time used by this process
real total_proc		! time used by all processes
real elapsed		! time elapsed from DPARLIB initialization

	integer ierr

	real local_elapsed
	real (8) timef

	local_proc = mclock () / 100.0

	if (dp_num_procs .eq. 1) then

		total_proc = local_proc

	else

		call MPI_ALLREDUCE (local_proc, total_proc, 1, &
					MPI_REAL, &
					MPI_SUM, dp_comm_cart, ierr)
		! should check ierr

	endif

	elapsed = ftime()/1000.0 - dp_start_time

END SUBROUTINE DP_TIMES



