
	module dp_io

	use dp_internal

    	implicit none





!       The following statement indicates that all variables and routines
!       are private (inaccessible outside of the module) by default.
!       Items can be made accessible only by explicitly declaring them public.
	private



!	These are the only public routines



	public DP_WRITE_ARRAY_1D_R 
	public DP_WRITE_ARRAY_2D_R 
	public DP_WRITE_ARRAY_3D_R 
	public DP_WRITE_ARRAY_4D_R 
	public DP_READ_ARRAY_1D_R 
	public DP_READ_ARRAY_2D_R 
	public DP_READ_ARRAY_3D_R 
	public DP_READ_ARRAY_4D_R 
#if 0
	public DP_WRITE_ARRAY_1D_R4 
	public DP_WRITE_ARRAY_2D_R4 
	public DP_WRITE_ARRAY_3D_R4 
	public DP_WRITE_ARRAY_4D_R4 
	public DP_READ_ARRAY_1D_R4 
	public DP_READ_ARRAY_2D_R4 
	public DP_READ_ARRAY_3D_R4 
	public DP_READ_ARRAY_4D_R4 
	public DP_WRITE_ARRAY_1D_R8 
	public DP_WRITE_ARRAY_2D_R8 
	public DP_WRITE_ARRAY_3D_R8 
	public DP_WRITE_ARRAY_4D_R8 
	public DP_READ_ARRAY_1D_R8 
	public DP_READ_ARRAY_2D_R8 
	public DP_READ_ARRAY_3D_R8 
	public DP_READ_ARRAY_4D_R8 
	public DP_WRITE_ARRAY_1D_R16 
	public DP_WRITE_ARRAY_2D_R16 
	public DP_WRITE_ARRAY_3D_R16 
	public DP_WRITE_ARRAY_4D_R16 
	public DP_READ_ARRAY_1D_R16 
	public DP_READ_ARRAY_2D_R16 
	public DP_READ_ARRAY_3D_R16 
	public DP_READ_ARRAY_4D_R16 
#endif

	public DP_WRITE_ARRAY_1D_D 
	public DP_WRITE_ARRAY_2D_D 
	public DP_WRITE_ARRAY_3D_D 
	public DP_WRITE_ARRAY_4D_D 
	public DP_READ_ARRAY_1D_D 
	public DP_READ_ARRAY_2D_D 
	public DP_READ_ARRAY_3D_D 
	public DP_READ_ARRAY_4D_D 
	public DP_WRITE_ARRAY_1D_C 
	public DP_WRITE_ARRAY_2D_C 
	public DP_WRITE_ARRAY_3D_C 
	public DP_WRITE_ARRAY_4D_C 
	public DP_READ_ARRAY_1D_C 
	public DP_READ_ARRAY_2D_C 
	public DP_READ_ARRAY_3D_C 
	public DP_READ_ARRAY_4D_C 

#if 0
	public DP_WRITE_ARRAY_1D_C8 
	public DP_WRITE_ARRAY_2D_C8 
	public DP_WRITE_ARRAY_3D_C8 
	public DP_WRITE_ARRAY_4D_C8 
	public DP_READ_ARRAY_1D_C8 
	public DP_READ_ARRAY_2D_C8 
	public DP_READ_ARRAY_3D_C8 
	public DP_READ_ARRAY_4D_C8 
	public DP_WRITE_ARRAY_1D_C16 
	public DP_WRITE_ARRAY_2D_C16 
	public DP_WRITE_ARRAY_3D_C16 
	public DP_WRITE_ARRAY_4D_C16 
	public DP_READ_ARRAY_1D_C16 
	public DP_READ_ARRAY_2D_C16 
	public DP_READ_ARRAY_3D_C16 
	public DP_READ_ARRAY_4D_C16 
	public DP_WRITE_ARRAY_1D_C32 
	public DP_WRITE_ARRAY_2D_C32 
	public DP_WRITE_ARRAY_3D_C32 
	public DP_WRITE_ARRAY_4D_C32 
	public DP_READ_ARRAY_1D_C32 
	public DP_READ_ARRAY_2D_C32 
	public DP_READ_ARRAY_3D_C32 
	public DP_READ_ARRAY_4D_C32 
#endif

	public DP_WRITE_ARRAY_1D_I 
	public DP_WRITE_ARRAY_2D_I 
	public DP_WRITE_ARRAY_3D_I 
	public DP_WRITE_ARRAY_4D_I 
	public DP_READ_ARRAY_1D_I 
	public DP_READ_ARRAY_2D_I 
	public DP_READ_ARRAY_3D_I 
	public DP_READ_ARRAY_4D_I 

#if 0
	public DP_WRITE_ARRAY_1D_I1 
	public DP_WRITE_ARRAY_2D_I1 
	public DP_WRITE_ARRAY_3D_I1 
	public DP_WRITE_ARRAY_4D_I1 
	public DP_READ_ARRAY_1D_I1 
	public DP_READ_ARRAY_2D_I1 
	public DP_READ_ARRAY_3D_I1 
	public DP_READ_ARRAY_4D_I1 
	public DP_WRITE_ARRAY_1D_I2 
	public DP_WRITE_ARRAY_2D_I2 
	public DP_WRITE_ARRAY_3D_I2 
	public DP_WRITE_ARRAY_4D_I2 
	public DP_READ_ARRAY_1D_I2 
	public DP_READ_ARRAY_2D_I2 
	public DP_READ_ARRAY_3D_I2 
	public DP_READ_ARRAY_4D_I2 
	public DP_WRITE_ARRAY_1D_I4 
	public DP_WRITE_ARRAY_2D_I4 
	public DP_WRITE_ARRAY_3D_I4 
	public DP_WRITE_ARRAY_4D_I4 
	public DP_READ_ARRAY_1D_I4 
	public DP_READ_ARRAY_2D_I4 
	public DP_READ_ARRAY_3D_I4 
	public DP_READ_ARRAY_4D_I4 
#endif

	public DP_WRITE_ARRAY_1D_L 
	public DP_WRITE_ARRAY_2D_L 
	public DP_WRITE_ARRAY_3D_L 
	public DP_WRITE_ARRAY_4D_L 
	public DP_READ_ARRAY_1D_L 
	public DP_READ_ARRAY_2D_L 
	public DP_READ_ARRAY_3D_L 
	public DP_READ_ARRAY_4D_L 


#if 0
	public DP_WRITE_ARRAY_1D_L1 
	public DP_WRITE_ARRAY_2D_L1 
	public DP_WRITE_ARRAY_3D_L1 
	public DP_WRITE_ARRAY_4D_L1 
	public DP_READ_ARRAY_1D_L1 
	public DP_READ_ARRAY_2D_L1 
	public DP_READ_ARRAY_3D_L1 
	public DP_READ_ARRAY_4D_L1 
	public DP_WRITE_ARRAY_1D_L2 
	public DP_WRITE_ARRAY_2D_L2 
	public DP_WRITE_ARRAY_3D_L2 
	public DP_WRITE_ARRAY_4D_L2 
	public DP_READ_ARRAY_1D_L2 
	public DP_READ_ARRAY_2D_L2 
	public DP_READ_ARRAY_3D_L2 
	public DP_READ_ARRAY_4D_L2 
	public DP_WRITE_ARRAY_1D_L4 
	public DP_WRITE_ARRAY_2D_L4 
	public DP_WRITE_ARRAY_3D_L4 
	public DP_WRITE_ARRAY_4D_L4 
	public DP_READ_ARRAY_1D_L4 
	public DP_READ_ARRAY_2D_L4 
	public DP_READ_ARRAY_3D_L4 
	public DP_READ_ARRAY_4D_L4 
#endif



        interface DP_WRITE_ARRAY_D
		module procedure DP_WRITE_ARRAY_1D_D 
		module procedure DP_WRITE_ARRAY_2D_D 
		module procedure DP_WRITE_ARRAY_3D_D 
        end interface




CONTAINS


include 'dp_io.h'


subroutine DP_OPEN (unit, action, file, text,  &
			position, status, iostat)
integer unit
character*(*) action
character*(*) file
logical text
character*(*) position
character*(*) status
integer iostat

	if (text) then
		open (unit=unit, form='FORMATTED', file=file, &
			action=action, position=position, status=status, &
			iostat=iostat)
	else
		! same as above
		open (unit=unit, form='FORMATTED', file=file, &
			action=action, position=position, status=status, &
			iostat=iostat)

	endif

end subroutine DP_OPEN




subroutine DP_CLOSE (unit)
integer unit

	close (unit)

end subroutine dp_close


subroutine DP_WRITE_HDR (unit, text, arr_shape, num_true_dims, iostat)
integer unit
logical text
integer arr_shape(1:)
integer num_true_dims
integer iostat

	integer i

	if (text) then
		write (unit, *, iostat=iostat) num_true_dims
		do i = 1, num_true_dims
			if (i .le. DP_MAX_DIMS) then 
				write (unit, *, iostat=iostat) &
					arr_shape(i)*dp_proc_arr_size(i)
			else
				write (unit, *, iostat=iostat) arr_shape(i)
			endif
		enddo

	else

		write (unit, '(A)', advance='NO', iostat=iostat) &
			num_true_dims
		do i = 1, num_true_dims
			if (i .le. DP_MAX_DIMS) then 
				write(unit,'(A)',advance='NO',iostat=iostat) &
					arr_shape(i)*dp_proc_arr_size(i)
			else
				write(unit,'(A)',advance='NO',iostat=iostat) &
					arr_shape(i)
			endif
		enddo

	endif


end subroutine DP_WRITE_HDR



subroutine DP_SKIP_HEADER (unit, text, iostat)
integer unit
logical text
integer iostat

	integer num_dims
	integer dim
	integer i

	if (text)  then
		read (unit, *, iostat=iostat) num_dims
		do i = 1, num_dims
			read (unit, *, iostat=iostat) dim
		enddo

	else
		read (unit, '(A)', iostat=iostat, advance='NO') num_dims
		do i = 1, num_dims
			read (unit, '(A)', iostat=iostat, advance='NO') dim
		enddo

	endif

end subroutine DP_SKIP_HEADER



subroutine make_fmt_r4 (fmt_str)
character*(*) fmt_str

	integer p
	character*3 w, d

	p = precision (0.0_4)

	write (w, '(I3.3)') p + 12
	write (d, '(I3.3)') p + 4

	fmt_str = '(G' // w // '.' // d // ')'
	!fmt_str = '(G)'

end subroutine make_fmt_r4

subroutine make_fmt_r8 (fmt_str)
character*(*) fmt_str

	integer p
	character*3 w, d

	p = precision (0.0_8)

	write (w, '(I3.3)') p + 12
	write (d, '(I3.3)') p + 4

	fmt_str = '(G' // w // '.' // d // ')'
	!fmt_str = '(G)'

end subroutine make_fmt_r8

subroutine make_fmt_r16 (fmt_str)
character*(*) fmt_str

	integer p
	character*3 w, d

	p = precision (0.0_16)

	write (w, '(I3.3)') p + 12
	write (d, '(I3.3)') p + 4

	fmt_str = '(G' // w // '.' // d // ')'
	!fmt_str = '(G)'

end subroutine make_fmt_r16





subroutine make_fmt_d (fmt_str)
character*(*) fmt_str

	integer p
	character*3 w, d

	p = precision (0.0D0)

	write (w, '(I3.3)') p + 12
	write (d, '(I3.3)') p + 4

	fmt_str = '(G' // w // '.' // d // ')'
	!fmt_str = '(G)'

end subroutine make_fmt_d






subroutine make_fmt_r (fmt_str)
character*(*) fmt_str

	integer p
	character*3 w, d

	p = precision (0.0)

	write (w, '(I3.3)') p + 12
	write (d, '(I3.3)') p + 4

	fmt_str = '(G' // w // '.' // d // ')'

end subroutine make_fmt_r



subroutine make_fmt_i (fmt_str)
character*(*) fmt_str

	integer p
	character*3 w

	p = range (0)

	write (w, '(I3.3)') p + 4

	fmt_str = '(I' // w // ')'

end subroutine make_fmt_i

subroutine make_fmt_i1 (fmt_str)
character*(*) fmt_str

	integer p
	character*3 w

	p = range (0_1)

	write (w, '(I3.3)') p + 4

	fmt_str = '(I' // w // ')'

end subroutine make_fmt_i1


subroutine make_fmt_i2 (fmt_str)
character*(*) fmt_str

	integer p
	character*3 w

	p = range (0_2)

	write (w, '(I3.3)') p + 4

	fmt_str = '(I' // w // ')'

end subroutine make_fmt_i2


subroutine make_fmt_i4 (fmt_str)
character*(*) fmt_str

	integer p
	character*3 w

	p = range (0_4)

	write (w, '(I3.3)') p + 4

	fmt_str = '(I' // w // ')'

end subroutine make_fmt_i4


subroutine make_fmt_l (fmt_str)
character*(*) fmt_str

	fmt_str = '(L1)' 

end subroutine make_fmt_l


subroutine make_fmt_l1 (fmt_str)
character*(*) fmt_str

	fmt_str = '(L1)' 

end subroutine make_fmt_l1


subroutine make_fmt_l2 (fmt_str)
character*(*) fmt_str

	fmt_str = '(L1)' 

end subroutine make_fmt_l2


subroutine make_fmt_l4 (fmt_str)
character*(*) fmt_str

	fmt_str = '(L1)' 

end subroutine make_fmt_l4



subroutine make_fmt_c (fmt_str)
character*(*) fmt_str

	call make_fmt_r (fmt_str(2:))
	fmt_str(1:2) = '(2'

end subroutine make_fmt_c


subroutine make_fmt_c8 (fmt_str)
character*(*) fmt_str

	call make_fmt_r4 (fmt_str)

end subroutine make_fmt_c8


subroutine make_fmt_c16 (fmt_str)
character*(*) fmt_str

	call make_fmt_r8 (fmt_str)

end subroutine make_fmt_c16


subroutine make_fmt_c32 (fmt_str)
character*(*) fmt_str

	call make_fmt_r16 (fmt_str)

end subroutine make_fmt_c32





	end module dp_io

