
	module dp_reduce

	use DP_INTERNAL

	implicit none

	private



!   These are the public routines



		public dp_sum_1D_R 
		public dp_product_1D_R 
		public dp_dot_product_1D_R 
		public dp_sum_2D_R 
		public dp_product_2D_R 
		public dp_dot_product_2D_R 
		public dp_sum_3D_R 
		public dp_product_3D_R 
		public dp_dot_product_3D_R 
		public dp_sum_4D_R 
		public dp_product_4D_R 
		public dp_dot_product_4D_R 
		public dp_sum_1D_R4 
		public dp_product_1D_R4 
		public dp_dot_product_1D_R4 
		public dp_sum_2D_R4 
		public dp_product_2D_R4 
		public dp_dot_product_2D_R4 
		public dp_sum_3D_R4 
		public dp_product_3D_R4 
		public dp_dot_product_3D_R4 
		public dp_sum_4D_R4 
		public dp_product_4D_R4 
		public dp_dot_product_4D_R4 
		public dp_sum_1D_R8 
		public dp_product_1D_R8 
		public dp_dot_product_1D_R8 
		public dp_sum_2D_R8 
		public dp_product_2D_R8 
		public dp_dot_product_2D_R8 
		public dp_sum_3D_R8 
		public dp_product_3D_R8 
		public dp_dot_product_3D_R8 
		public dp_sum_4D_R8 
		public dp_product_4D_R8 
		public dp_dot_product_4D_R8 
		public dp_sum_1D_R16 
		public dp_product_1D_R16 
		public dp_dot_product_1D_R16 
		public dp_sum_2D_R16 
		public dp_product_2D_R16 
		public dp_dot_product_2D_R16 
		public dp_sum_3D_R16 
		public dp_product_3D_R16 
		public dp_dot_product_3D_R16 
		public dp_sum_4D_R16 
		public dp_product_4D_R16 
		public dp_dot_product_4D_R16 
		public dp_sum_1D_D 
		public dp_product_1D_D 
		public dp_dot_product_1D_D 
		public dp_sum_2D_D 
		public dp_product_2D_D 
		public dp_dot_product_2D_D 
		public dp_sum_3D_D 
		public dp_product_3D_D 
		public dp_dot_product_3D_D 
		public dp_sum_4D_D 
		public dp_product_4D_D 
		public dp_dot_product_4D_D 
		public dp_sum_1D_C 
		public dp_product_1D_C 
		public dp_dot_product_1D_C 
		public dp_sum_2D_C 
		public dp_product_2D_C 
		public dp_dot_product_2D_C 
		public dp_sum_3D_C 
		public dp_product_3D_C 
		public dp_dot_product_3D_C 
		public dp_sum_4D_C 
		public dp_product_4D_C 
		public dp_dot_product_4D_C 
		public dp_sum_1D_C8 
		public dp_product_1D_C8 
		public dp_dot_product_1D_C8 
		public dp_sum_2D_C8 
		public dp_product_2D_C8 
		public dp_dot_product_2D_C8 
		public dp_sum_3D_C8 
		public dp_product_3D_C8 
		public dp_dot_product_3D_C8 
		public dp_sum_4D_C8 
		public dp_product_4D_C8 
		public dp_dot_product_4D_C8 
		public dp_sum_1D_C16 
		public dp_product_1D_C16 
		public dp_dot_product_1D_C16 
		public dp_sum_2D_C16 
		public dp_product_2D_C16 
		public dp_dot_product_2D_C16 
		public dp_sum_3D_C16 
		public dp_product_3D_C16 
		public dp_dot_product_3D_C16 
		public dp_sum_4D_C16 
		public dp_product_4D_C16 
		public dp_dot_product_4D_C16 
		public dp_sum_1D_C32 
		public dp_product_1D_C32 
		public dp_dot_product_1D_C32 
		public dp_sum_2D_C32 
		public dp_product_2D_C32 
		public dp_dot_product_2D_C32 
		public dp_sum_3D_C32 
		public dp_product_3D_C32 
		public dp_dot_product_3D_C32 
		public dp_sum_4D_C32 
		public dp_product_4D_C32 
		public dp_dot_product_4D_C32 
		public dp_sum_1D_I 
		public dp_product_1D_I 
		public dp_dot_product_1D_I 
		public dp_sum_2D_I 
		public dp_product_2D_I 
		public dp_dot_product_2D_I 
		public dp_sum_3D_I 
		public dp_product_3D_I 
		public dp_dot_product_3D_I 
		public dp_sum_4D_I 
		public dp_product_4D_I 
		public dp_dot_product_4D_I 
		public dp_sum_1D_I1 
		public dp_product_1D_I1 
		public dp_dot_product_1D_I1 
		public dp_sum_2D_I1 
		public dp_product_2D_I1 
		public dp_dot_product_2D_I1 
		public dp_sum_3D_I1 
		public dp_product_3D_I1 
		public dp_dot_product_3D_I1 
		public dp_sum_4D_I1 
		public dp_product_4D_I1 
		public dp_dot_product_4D_I1 
		public dp_sum_1D_I2 
		public dp_product_1D_I2 
		public dp_dot_product_1D_I2 
		public dp_sum_2D_I2 
		public dp_product_2D_I2 
		public dp_dot_product_2D_I2 
		public dp_sum_3D_I2 
		public dp_product_3D_I2 
		public dp_dot_product_3D_I2 
		public dp_sum_4D_I2 
		public dp_product_4D_I2 
		public dp_dot_product_4D_I2 
		public dp_sum_1D_I4 
		public dp_product_1D_I4 
		public dp_dot_product_1D_I4 
		public dp_sum_2D_I4 
		public dp_product_2D_I4 
		public dp_dot_product_2D_I4 
		public dp_sum_3D_I4 
		public dp_product_3D_I4 
		public dp_dot_product_3D_I4 
		public dp_sum_4D_I4 
		public dp_product_4D_I4 
		public dp_dot_product_4D_I4 

#if 0
		public dp_maxval_1D_R 
		public dp_minval_1D_R 
		public dp_maxloc_1D_R 
		public dp_minloc_1D_R 
		public dp_maxval_2D_R 
		public dp_minval_2D_R 
		public dp_maxloc_2D_R 
		public dp_minloc_2D_R 
		public dp_maxval_3D_R 
		public dp_minval_3D_R 
		public dp_maxloc_3D_R 
		public dp_minloc_3D_R 
		public dp_maxval_4D_R 
		public dp_minval_4D_R 
		public dp_maxloc_4D_R 
		public dp_minloc_4D_R 
		public dp_maxval_1D_R4 
		public dp_minval_1D_R4 
		public dp_maxloc_1D_R4 
		public dp_minloc_1D_R4 
		public dp_maxval_2D_R4 
		public dp_minval_2D_R4 
		public dp_maxloc_2D_R4 
		public dp_minloc_2D_R4 
		public dp_maxval_3D_R4 
		public dp_minval_3D_R4 
		public dp_maxloc_3D_R4 
		public dp_minloc_3D_R4 
		public dp_maxval_4D_R4 
		public dp_minval_4D_R4 
		public dp_maxloc_4D_R4 
		public dp_minloc_4D_R4 
		public dp_maxval_1D_R8 
		public dp_minval_1D_R8 
		public dp_maxloc_1D_R8 
		public dp_minloc_1D_R8 
		public dp_maxval_2D_R8 
		public dp_minval_2D_R8 
		public dp_maxloc_2D_R8 
		public dp_minloc_2D_R8 
		public dp_maxval_3D_R8 
		public dp_minval_3D_R8 
		public dp_maxloc_3D_R8 
		public dp_minloc_3D_R8 
		public dp_maxval_4D_R8 
		public dp_minval_4D_R8 
		public dp_maxloc_4D_R8 
		public dp_minloc_4D_R8 
		public dp_maxval_1D_R16 
		public dp_minval_1D_R16 
		public dp_maxloc_1D_R16 
		public dp_minloc_1D_R16 
		public dp_maxval_2D_R16 
		public dp_minval_2D_R16 
		public dp_maxloc_2D_R16 
		public dp_minloc_2D_R16 
		public dp_maxval_3D_R16 
		public dp_minval_3D_R16 
		public dp_maxloc_3D_R16 
		public dp_minloc_3D_R16 
		public dp_maxval_4D_R16 
		public dp_minval_4D_R16 
		public dp_maxloc_4D_R16 
		public dp_minloc_4D_R16 
		public dp_maxval_1D_D 
		public dp_minval_1D_D 
		public dp_maxloc_1D_D 
		public dp_minloc_1D_D 
		public dp_maxval_2D_D 
		public dp_minval_2D_D 
		public dp_maxloc_2D_D 
		public dp_minloc_2D_D 
		public dp_maxval_3D_D 
		public dp_minval_3D_D 
		public dp_maxloc_3D_D 
		public dp_minloc_3D_D 
		public dp_maxval_4D_D 
		public dp_minval_4D_D 
		public dp_maxloc_4D_D 
		public dp_minloc_4D_D 
		public dp_maxval_1D_I 
		public dp_minval_1D_I 
		public dp_maxloc_1D_I 
		public dp_minloc_1D_I 
		public dp_maxval_2D_I 
		public dp_minval_2D_I 
		public dp_maxloc_2D_I 
		public dp_minloc_2D_I 
		public dp_maxval_3D_I 
		public dp_minval_3D_I 
		public dp_maxloc_3D_I 
		public dp_minloc_3D_I 
		public dp_maxval_4D_I 
		public dp_minval_4D_I 
		public dp_maxloc_4D_I 
		public dp_minloc_4D_I 
		public dp_maxval_1D_I1 
		public dp_minval_1D_I1 
		public dp_maxloc_1D_I1 
		public dp_minloc_1D_I1 
		public dp_maxval_2D_I1 
		public dp_minval_2D_I1 
		public dp_maxloc_2D_I1 
		public dp_minloc_2D_I1 
		public dp_maxval_3D_I1 
		public dp_minval_3D_I1 
		public dp_maxloc_3D_I1 
		public dp_minloc_3D_I1 
		public dp_maxval_4D_I1 
		public dp_minval_4D_I1 
		public dp_maxloc_4D_I1 
		public dp_minloc_4D_I1 
		public dp_maxval_1D_I2 
		public dp_minval_1D_I2 
		public dp_maxloc_1D_I2 
		public dp_minloc_1D_I2 
		public dp_maxval_2D_I2 
		public dp_minval_2D_I2 
		public dp_maxloc_2D_I2 
		public dp_minloc_2D_I2 
		public dp_maxval_3D_I2 
		public dp_minval_3D_I2 
		public dp_maxloc_3D_I2 
		public dp_minloc_3D_I2 
		public dp_maxval_4D_I2 
		public dp_minval_4D_I2 
		public dp_maxloc_4D_I2 
		public dp_minloc_4D_I2 
		public dp_maxval_1D_I4 
		public dp_minval_1D_I4 
		public dp_maxloc_1D_I4 
		public dp_minloc_1D_I4 
		public dp_maxval_2D_I4 
		public dp_minval_2D_I4 
		public dp_maxloc_2D_I4 
		public dp_minloc_2D_I4 
		public dp_maxval_3D_I4 
		public dp_minval_3D_I4 
		public dp_maxloc_3D_I4 
		public dp_minloc_3D_I4 
		public dp_maxval_4D_I4 
		public dp_minval_4D_I4 
		public dp_maxloc_4D_I4 
		public dp_minloc_4D_I4 

		public dp_all_1D 
		public dp_any_1D 
		public dp_count_1D 
		public dp_all_2D 
		public dp_any_2D 
		public dp_count_2D 
		public dp_all_3D 
		public dp_any_3D 
		public dp_count_3D 
		public dp_all_4D 
		public dp_any_4D 
		public dp_count_4D 
#endif


CONTAINS

include 'dp_reduce.h'


	end module dp_reduce

