
	module dp_shift

	use DP_INTERNAL
	use DP_ALLOC

	implicit none



!       The following statement indicates that all variables and routines
!       are private (inaccessible outside of the module) by default.
!       Items can be made accessible only by explicitly declaring them public.
	private




	public DP_CSHIFT_1D_R 
	public DP_CSHIFT_2D_R 
	public DP_CSHIFT_3D_R 
	public DP_CSHIFT_4D_R 
	public DP_EOSHIFT_1D_R 
	public DP_EOSHIFT_2D_R 
	public DP_EOSHIFT_3D_R 
	public DP_EOSHIFT_4D_R 

#if 0
	public DP_CSHIFT_1D_R4 
	public DP_CSHIFT_2D_R4 
	public DP_CSHIFT_3D_R4 
	public DP_CSHIFT_4D_R4 
	public DP_EOSHIFT_1D_R4 
	public DP_EOSHIFT_2D_R4 
	public DP_EOSHIFT_3D_R4 
	public DP_EOSHIFT_4D_R4 
	public DP_CSHIFT_1D_R8 
	public DP_CSHIFT_2D_R8 
	public DP_CSHIFT_3D_R8 
	public DP_CSHIFT_4D_R8 
	public DP_EOSHIFT_1D_R8 
	public DP_EOSHIFT_2D_R8 
	public DP_EOSHIFT_3D_R8 
	public DP_EOSHIFT_4D_R8 
	public DP_CSHIFT_1D_R16 
	public DP_CSHIFT_2D_R16 
	public DP_CSHIFT_3D_R16 
	public DP_CSHIFT_4D_R16 
	public DP_EOSHIFT_1D_R16 
	public DP_EOSHIFT_2D_R16 
	public DP_EOSHIFT_3D_R16 
	public DP_EOSHIFT_4D_R16 
#endif

	public DP_CSHIFT_1D_D 
	public DP_CSHIFT_2D_D 
	public DP_CSHIFT_3D_D 
	public DP_CSHIFT_4D_D 
	public DP_EOSHIFT_1D_D 
	public DP_EOSHIFT_2D_D 
	public DP_EOSHIFT_3D_D 
	public DP_EOSHIFT_4D_D 
	public DP_CSHIFT_1D_C 
	public DP_CSHIFT_2D_C 
	public DP_CSHIFT_3D_C 
	public DP_CSHIFT_4D_C 
	public DP_EOSHIFT_1D_C 
	public DP_EOSHIFT_2D_C 
	public DP_EOSHIFT_3D_C 
	public DP_EOSHIFT_4D_C 

#if 0
	public DP_CSHIFT_1D_C8 
	public DP_CSHIFT_2D_C8 
	public DP_CSHIFT_3D_C8 
	public DP_CSHIFT_4D_C8 
	public DP_EOSHIFT_1D_C8 
	public DP_EOSHIFT_2D_C8 
	public DP_EOSHIFT_3D_C8 
	public DP_EOSHIFT_4D_C8 
	public DP_CSHIFT_1D_C16 
	public DP_CSHIFT_2D_C16 
	public DP_CSHIFT_3D_C16 
	public DP_CSHIFT_4D_C16 
	public DP_EOSHIFT_1D_C16 
	public DP_EOSHIFT_2D_C16 
	public DP_EOSHIFT_3D_C16 
	public DP_EOSHIFT_4D_C16 
	public DP_CSHIFT_1D_C32 
	public DP_CSHIFT_2D_C32 
	public DP_CSHIFT_3D_C32 
	public DP_CSHIFT_4D_C32 
	public DP_EOSHIFT_1D_C32 
	public DP_EOSHIFT_2D_C32 
	public DP_EOSHIFT_3D_C32 
	public DP_EOSHIFT_4D_C32 
#endif

	public DP_CSHIFT_1D_I 
	public DP_CSHIFT_2D_I 
	public DP_CSHIFT_3D_I 
	public DP_CSHIFT_4D_I 
	public DP_EOSHIFT_1D_I 
	public DP_EOSHIFT_2D_I 
	public DP_EOSHIFT_3D_I 
	public DP_EOSHIFT_4D_I 

#if 0
	public DP_CSHIFT_1D_I1 
	public DP_CSHIFT_2D_I1 
	public DP_CSHIFT_3D_I1 
	public DP_CSHIFT_4D_I1 
	public DP_EOSHIFT_1D_I1 
	public DP_EOSHIFT_2D_I1 
	public DP_EOSHIFT_3D_I1 
	public DP_EOSHIFT_4D_I1 
	public DP_CSHIFT_1D_I2 
	public DP_CSHIFT_2D_I2 
	public DP_CSHIFT_3D_I2 
	public DP_CSHIFT_4D_I2 
	public DP_EOSHIFT_1D_I2 
	public DP_EOSHIFT_2D_I2 
	public DP_EOSHIFT_3D_I2 
	public DP_EOSHIFT_4D_I2 
	public DP_CSHIFT_1D_I4 
	public DP_CSHIFT_2D_I4 
	public DP_CSHIFT_3D_I4 
	public DP_CSHIFT_4D_I4 
	public DP_EOSHIFT_1D_I4 
	public DP_EOSHIFT_2D_I4 
	public DP_EOSHIFT_3D_I4 
	public DP_EOSHIFT_4D_I4 
#endif

	public DP_CSHIFT_1D_L 
	public DP_CSHIFT_2D_L 
	public DP_CSHIFT_3D_L 
	public DP_CSHIFT_4D_L 
	public DP_EOSHIFT_1D_L 
	public DP_EOSHIFT_2D_L 
	public DP_EOSHIFT_3D_L 
	public DP_EOSHIFT_4D_L 


#if 0
	public DP_CSHIFT_1D_L1 
	public DP_CSHIFT_2D_L1 
	public DP_CSHIFT_3D_L1 
	public DP_CSHIFT_4D_L1 
	public DP_EOSHIFT_1D_L1 
	public DP_EOSHIFT_2D_L1 
	public DP_EOSHIFT_3D_L1 
	public DP_EOSHIFT_4D_L1 
	public DP_CSHIFT_1D_L2 
	public DP_CSHIFT_2D_L2 
	public DP_CSHIFT_3D_L2 
	public DP_CSHIFT_4D_L2 
	public DP_EOSHIFT_1D_L2 
	public DP_EOSHIFT_2D_L2 
	public DP_EOSHIFT_3D_L2 
	public DP_EOSHIFT_4D_L2 
	public DP_CSHIFT_1D_L4 
	public DP_CSHIFT_2D_L4 
	public DP_CSHIFT_3D_L4 
	public DP_CSHIFT_4D_L4 
	public DP_EOSHIFT_1D_L4 
	public DP_EOSHIFT_2D_L4 
	public DP_EOSHIFT_3D_L4 
	public DP_EOSHIFT_4D_L4 
#endif




!
! This data structure describes the movement of blocks of a global
! data array during an array shift, when the array is partitioned
! regularly across all processes.  I.e., when all local blocks of
! of the global array are the same size.
!
! Because of the symmetric nature of a shift for a regularly partitioned
! array, each of these block moves represents a movement of data from
! this process to another, AND to this process from another.  In other
! words, a block of data is copied out of the area indicated by src_coords
! and size, and a block of data is copied into the area indicated by
! targ_coords, and size.  (Note that sometimes, the "other" process is
! actually the current process.)
! 
! Note that this data structure is generated as if a circular shift is
! to be performed.  The incoming and outgoing _wraps fields indicate
! whether the data movement would actually constitute a wrap-around.  
! The cshift and eoshift routines will handle the wrap-around differently.
!

type regular_blk_move_type
	sequence

	integer src_coords(DP_MAX_DIMS)		!! Local coords of upper left
						!! corner of block in the 
						!! source process.  Data is
						!! copied FROM this location.
						!! (Coords are 0-based.)

	integer targ_coords(DP_MAX_DIMS)	!! Local coords of upper left
						!! corner of block in the 
						!! target process.  Data is
						!! copied TO this location.
						!! (Coords are 0-based.)

	integer size(DP_MAX_DIMS)		!! The size of the block.

	integer src_rank			!! The rank that is sending
						!! us the data block.

	integer targ_rank			!! The rank to which we are
						!! sending our data block.

	logical incoming_wraps			!! Indicates whether the data
						!! that we are receiving is
						!! being wrapped around from
						!! the other side of the array.

	logical outgoing_wraps			!! Indicates whether the data
						!! that we are sending is to
						!! wrap around to the other
						!! side of the array.

end type regular_blk_move_type



CONTAINS



!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!
!!! The following include file contains all of the code that is
!!! specific to particular data types.  It contains all of the 
!!! public routines.
!!!

!! include 'dp_shift.h'
include 'dp_shift_fulldim.h'
include 'dp_shift_eachdim.h'

!!!
!!! All of the routines that follow are utility routines that are not
!!! specific to any data type.
!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!
!! Given a processor offset in each dimension, figure out the source
!! and target rank, and whether wrap-around occurs for incoming and
!! outgoing data.
!!
SUBROUTINE get_shift_ranks_wraps (proc_offset, src_rank, targ_rank, &
					incoming_wraps, outgoing_wraps)
	integer, intent(IN) :: proc_offset(DP_MAX_DIMS)

	integer, intent(OUT) :: src_rank
	integer, intent(OUT) :: targ_rank
	logical, intent(OUT) :: incoming_wraps
	logical, intent(OUT) :: outgoing_wraps

	integer targ_proc_coords(DP_MAX_DIMS)
	integer src_proc_coords(DP_MAX_DIMS)

	integer ierr
	integer i


	logical zero_offset

#if 0
	write (10,*) 'get_shift_ranks : proc_offset = ', proc_offset
#endif

	zero_offset = .true.
	do i = 1, DP_MAX_DIMS
		zero_offset = zero_offset .and. (proc_offset(i).eq.0)
	enddo

	if (zero_offset) then
		targ_rank = dp_rank
		src_rank = dp_rank
		incoming_wraps = .FALSE.
		outgoing_wraps = .FALSE.
		return
	endif

	targ_proc_coords = (dp_coords + proc_offset)
	src_proc_coords = (dp_coords - proc_offset)

#if 0
	print *, 'rank ', dp_rank, &
		' get_shift_ranks : targ_proc_coords = ', targ_proc_coords
#endif

	outgoing_wraps = .false. 
	incoming_wraps = .false. 
	do i = 1, DP_MAX_DIMS
		outgoing_wraps = outgoing_wraps .or.  &
			(targ_proc_coords(i) .ge. dp_proc_arr_size(i)) .or. &
			(targ_proc_coords(i) .lt. 0)

		incoming_wraps = incoming_wraps .or.  &
			(src_proc_coords(i) .ge. dp_proc_arr_size(i)) .or. &
			(src_proc_coords(i) .lt. 0)
	enddo


	targ_proc_coords = MOD (targ_proc_coords, dp_proc_arr_size)
	src_proc_coords = MOD (src_proc_coords, dp_proc_arr_size)

	do i = 1, DP_MAX_DIMS
		if (targ_proc_coords(i) .lt. 0) then
			targ_proc_coords(i) =  &
			    targ_proc_coords(i) + dp_proc_arr_size(i)
			src_proc_coords(i) =  &
			    src_proc_coords(i) + dp_proc_arr_size(i)
		endif
	enddo
			
	if (dp_num_procs .gt. 1) then
	    call MPI_CART_RANK (dp_comm_cart, targ_proc_coords, targ_rank, ierr)
	    call MPI_CART_RANK (dp_comm_cart, src_proc_coords, src_rank, ierr)
	else
	    targ_rank = dp_rank
	    src_rank = dp_rank
	endif

#if 0
write (10,*) 'get_shift_ranks : targ_proc_coords = ', targ_proc_coords
write (10,*) 'get_shift_ranks : src_proc_coords = ', src_proc_coords
write (10,*) 'get_shift_ranks : src_rank', src_rank, '   targ_rank', targ_rank

#endif

end subroutine get_shift_ranks_wraps


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!
!! Given an array offset in each dimension, and an array size, calculate
!! the block moves for performing the array shift.
!!
SUBROUTINE get_reg_blk_moves (offset, arr_size, blk_mv, ierr)
	integer, intent(IN) :: offset(DP_MAX_DIMS)
	integer, intent(IN) :: arr_size(DP_MAX_DIMS)
	type (regular_blk_move_type), intent(OUT)::blk_mv (0:DP_MAX_MV_BLOCKS-1)
	integer, intent(OUT) :: ierr

	integer src_lower_corners(0:1,DP_MAX_DIMS)
	integer src_upper_corners(0:1,DP_MAX_DIMS)
	integer targ_lower_corners(0:1,DP_MAX_DIMS)
	integer targ_upper_corners(0:1,DP_MAX_DIMS)
	integer size(0:1,DP_MAX_DIMS)

	integer element_offset (DP_MAX_DIMS)
	integer proc_offset (DP_MAX_DIMS)
	integer blk_proc_offset (DP_MAX_DIMS)
	integer temp_proc_offset (DP_MAX_DIMS)

	integer i, j, k, l
	integer mv_num
	integer index_vec (0:DP_MAX_DIMS-1)
	integer itemp (DP_MAX_DIMS)
	logical diag (DP_MAX_DIMS, DP_MAX_DIMS)

#if 0
	write (10, *) &
	  'get_blk_moves: offset = ', offset, '   arr_size = ', arr_size
	print *, &
	  'get_blk_moves: offset = ', offset, '   arr_size = ', arr_size
#endif


	element_offset = MOD (offset, arr_size)
	proc_offset = - (offset / arr_size)


	src_lower_corners(0,:) = 0
	src_upper_corners(1,:) = arr_size - 1
	targ_lower_corners(1,:) = 0
	targ_upper_corners(0,:) = arr_size - 1

	
	diag = .FALSE.
	do i = 1, DP_MAX_DIMS
		diag(i,i) = .TRUE.
		if (element_offset(i) .gt. 0) then
		    src_lower_corners(1,i) = element_offset(i)
		    targ_lower_corners(0,i) = arr_size(i) - element_offset(i)
		else
		    src_lower_corners(1,i) = arr_size(i) + element_offset(i)
		    targ_lower_corners(0,i) = - element_offset(i)
		endif
	enddo

	src_upper_corners(0,:) = src_lower_corners(1,:) - 1
	targ_upper_corners(1,:) = targ_lower_corners(0,:) - 1

	size(0,:) = src_lower_corners(1,:)
	size(1,:) = arr_size - size(0,:)


	do i = 1, DP_MAX_DIMS
		if (element_offset(i) .gt. 0) then
			blk_proc_offset(i) = proc_offset(i) - 1
		else
			blk_proc_offset(i) = proc_offset(i)
		endif
	enddo


	mv_num = 0


#if 0

    do l = 0,1
	do k = 0,1
	    do j = 0, 1
		do i = 0, 1

			! HOW do I generalize this to arbitrary # of dims?
			blk_mv(mv_num)%src_coords(1) =  src_lower_corners(i,1)
			blk_mv(mv_num)%src_coords(2) =  src_lower_corners(j,2)
			blk_mv(mv_num)%src_coords(3) =  src_lower_corners(k,3)
			blk_mv(mv_num)%src_coords(4) =  src_lower_corners(l,4)
			blk_mv(mv_num)%targ_coords(1) = targ_lower_corners(i,1)
			blk_mv(mv_num)%targ_coords(2) = targ_lower_corners(j,2)
			blk_mv(mv_num)%targ_coords(3) = targ_lower_corners(k,3)
			blk_mv(mv_num)%targ_coords(4) = targ_lower_corners(l,4)
			blk_mv(mv_num)%size(1) = size(i,1)
			blk_mv(mv_num)%size(2) = size(j,2)
			blk_mv(mv_num)%size(3) = size(k,3)
			blk_mv(mv_num)%size(4) = size(l,4)
			temp_proc_offset(1)  = blk_proc_offset(1) + i
			temp_proc_offset(2)  = blk_proc_offset(2) + j
			temp_proc_offset(3)  = blk_proc_offset(3) + k
			temp_proc_offset(4)  = blk_proc_offset(4) + l
			call get_shift_ranks_wraps  (  		&
				temp_proc_offset, 		&
				blk_mv(mv_num)%src_rank, 	&
				blk_mv(mv_num)%targ_rank, 	&
				blk_mv(mv_num)%incoming_wraps, 	&
				blk_mv(mv_num)%outgoing_wraps)

#if 0
write (10,*) 'Just finished calculating:'
call write_reg_blk_move (10, blk_mv(mv_num))

#endif
			mv_num = mv_num + 1

		enddo	! i
	    enddo	! j
	enddo		! k
    enddo		! l

#else

	do i = 0, DP_MAX_MV_BLOCKS - 1

		!! As i goes from 0 to DP_MAX_BLOCKS-1, the array index_vec
		!! will assume all combinations of 0's and 1's.  (Note that
		!! DP_MAX_MV_BLOCKS should always be 2**DP_MAX_DIMS.)
		do j = 0, DP_MAX_DIMS - 1
			index_vec (j) = IBITS (i, j, 1)
		enddo

		itemp = pack (src_lower_corners (index_vec,:), diag)
		blk_mv(i)%src_coords =  itemp

		itemp = pack (targ_lower_corners (index_vec,:), diag)
		blk_mv(i)%targ_coords = itemp


		itemp = pack ( size (index_vec,:), diag)
		blk_mv(i)%size = itemp


		temp_proc_offset  = blk_proc_offset + index_vec


		call get_shift_ranks_wraps  (  		&
			temp_proc_offset, 		&
			blk_mv(i)%src_rank, 	&
			blk_mv(i)%targ_rank, 	&
			blk_mv(i)%incoming_wraps, &
			blk_mv(i)%outgoing_wraps)

#if 0
		write (10,*) 'Just finished calculating:'
		call write_reg_blk_move (10, blk_mv(i))

#endif


	enddo



#endif

ierr = 0

end subroutine get_reg_blk_moves



subroutine write_reg_blk_move (unit, blk_mv)

type (regular_blk_move_type) :: blk_mv 
integer unit

	write (unit, *) 'blk_mv:'
	write (unit, *) '       src_coords = ',blk_mv%src_coords
	write (unit, *) '       targ_coords = ',blk_mv%targ_coords
	write (unit, *) '       size = ',blk_mv%size
	write (unit, *) '       incoming_wraps = ',blk_mv%incoming_wraps
	write (unit, *) '       outgoing_wraps = ',blk_mv%outgoing_wraps
	write (unit, *) '       src_rank = ',blk_mv%src_rank
	write (unit, *) '       targ_rank = ',blk_mv%targ_rank
	write (unit, *) '       '
end subroutine write_reg_blk_move








	end module dp_shift


